Get ProcedureMethodExecutionInstance by ID
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
Headers
Set to true to access beta operations via /api/v3.
Query parameters
Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.
Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.
Response
Source of truth for this specific PMEI’s planned material input values, with any condition overrides.
Note: This will not include any process intermediate values when previous methods have not yet been completed.
The “template” method version represents the PMDV on the procedure template that this PMEI is based on.
In most cases this is equivalent to the planMethodVersion. They only differ on older legacy ProcedureRuns, where “plan” PMDVs belong to a legacy “plan” ProcedureFlowchart model and we compiled a dedicated ProcedureFlowchart for this run (with its own PMDVs) based on the template’s legacy ProcedureFlowchart.
Do not directly use the parameter planned values from this PMDV. dataParameterPlannedValues, materialInputPlannedValues, and equipmentPlannedValues on the PMEI itself are the source of truth instead, since they account for experiment planning condition overrides that are not reflected on the PMDV.
Do not use the confirmation methods from the parameter versions in this PMDV. parameterConfirmationMethods on the PMEI itself is the source of truth instead, since it accounts for experiment planning condition overrides that are not reflected on the PMDV.